<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>
<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>



<!-- 
Product name: <%= productName %>

URL Encoding:
<%=response.encodeURL("FrontController?operation=10&type=subject") %>
 -->


<%
if(request.getAttribute("ldapServerHost") == null || request.getAttribute("ldapServerHost").toString().isEmpty()){
%>
<h1>Add New Zimbra Directory</h1>
<%}else{
	%>
	<h1>Modify Zimbra Directory <small><%=request.getAttribute("ldapFriendlyName") %></small></h1>
	<%
}
%>


<br>

<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger">
		<%=errorMsg %>
	</div>
	<%
}

%>

<%
String infoMsg = (String) request.getAttribute("infoMsg");
if(infoMsg != null){
	%>
	<div class="alert alert-success">
		<%=infoMsg %>
	</div>
	<%
}

%>



<div class="row">
	<div class="col-md-6 col-md-offset-3">
	
		<!-- ******* Create Window Panel ******* -->
		<div class="well-info-wrap">
			<div class="well-info-header">Zimbra Parameters</div>
			<div class="well-info-body">
				
				<form action="<%= request.getAttribute("appPath") %>" method="post">
		
		
					<br style="clear:both;"><br>
					<span class="form-control pull-left form-left form-text wth-5">Friendly Name:</span>
					<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapFriendlyName" value="<%=request.getAttribute("ldapFriendlyName")%>" required='required'>
					
					
					
					<br style="clear:both;"><br>
					<span class="form-control pull-left form-left form-text wth-5">Host Name/IP:</span>
					<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapServerHost" value="<%=request.getAttribute("ldapServerHost")%>" required='required'>
					
					<!-- 
					<br style="clear:both;"><br>
					<span class="form-control pull-left form-left form-text wth-5">AD Domain Name:</span>
					<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapRootName" value="<%=request.getAttribute("ldapRootName")%>" required='required'>
					
					-->
				
					
					<br style="clear:both;"><br>
					<span class="form-control pull-left form-left form-text wth-5">Base DN:</span>
					<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapBaseDN" value="<%=request.getAttribute("ldapBaseDN")%>"  required='required'>
					
						<div class="alert alert-warning text-center">
							<%
							if(request.getAttribute("suggestedBaseDN") != null){
								%>
								<b>Suggested values</b>
								<ul>
								<%= request.getAttribute("suggestedBaseDN")%>
								</ul>
								<%
							}
							%>
						</div>
					
					<br style="clear:both;">
					<span class="form-control pull-left form-left form-text wth-5">Administrator's User ID:</span>
					<input class="form-control pull-left form-right text-center wth-5" type="text" name="ldapUser" value="<%=request.getAttribute("ldapUser")%>"  required='required' autocomplete="off">
					
					<br style="clear:both;"><br>
					<span class="form-control pull-left form-left form-text wth-5">Password:</span>
					<input class="form-control pull-left form-right text-center wth-5" type="password" name="ldapPwd" value="<%=request.getAttribute("ldapPwd")%>"  required='required' autocomplete="off">
					
					<br style="clear:both;"><br>
					
					
					<span class="form-control form-text form-middle pull-left wth-9">Save setting even if an error occurs</span>
					<span class="chkbox-cust form-control form-right pull-left wth-1">
						<input id="saveIfError" type="checkbox" name="saveIfError" value="yes">
						<label for="saveIfError"></label>
					</span>
						
						
						
				
								
					<br style="clear:both;"><br>
					<!-- ******* Save Button | default is pulled right ******* -->
					<button class="btn btn-sm btn-submit pull-right" type="submit">Submit</button>
					<br style="clear:both;"><br>
					
					
					<%
					if(request.getParameter("madpk") != null){
						%>
						<input type="hidden" name="madpk" value="<%=request.getParameter("madpk")%>">
						<%
					}
					%>
					
					
					<input type="hidden" name="operation" value="191a">
					<input type="hidden" name="ldapType" value="ltZimbra">
					
					
				</form>
		
		
			</div>
		</div>

	</div>
</div>



<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
