<%@ page import="java.util.*" %>

<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>



<%
Integer aLevel = (Integer) request.getSession().getAttribute("authorizationLevel");
if(aLevel == null || aLevel.intValue() < 20){
	out.println("Not authorized");
	return;
}
%>

<h1>Troubleshooting Utilities</h1>
<br>

<ul>
	<li><a href="<%= response.encodeURL("FrontController?operation=193") %>">Spam Simulator</a> - Allows you to submit a message manually and check result</li>
	<li><a href="<%=response.encodeURL("FrontController?operation=199") %>">Diagnostic Check</a> - Run a set of tests to ensure optimal configuration of <%= productName %></li>
	<li><a href="<%= response.encodeURL("FrontController?operation=196") %>">View Diagnostic Logs</a> - View/search diagnostic logs</li>
	<li><a href="<%=response.encodeURL("FrontController?operation=200") %>">Reload Message Cache</a> - Refresh the view message cache.</li>
</ul>

<hr>
<div class="row">
	<div class="col-md-3"></div>
	
	<div class="col-md-6">
		<br style="clear:both;">
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<span class="form-control form-left form-text pull-left wth-4">Email Validator</span>
		<input class="form-control form-middle pull-left wth-4" type="text" name="emailAddress" value="" placeholder="Email Address">
		<button class="btn btn-sm btn-submit form-control pull-left form-right wth-2" type="submit">Proceed</button>
		<input type="hidden" name="operation" value="51">
		</form>
		
		<br style="clear:both;"><br>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<span class="form-control form-left form-text pull-left wth-4">DNS Lookup</span>
		<input class="form-control form-middle pull-left wth-4" name="domain" value="" placeholder="Domain Name">
		<button class="btn btn-sm btn-submit form-control pull-left form-right wth-2" type="submit">Proceed</button>
		<input type="hidden" name="operation" value="31">
		</form>
				
		<br style="clear:both;"><br>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<span class="form-control form-left form-text pull-left wth-4">Reverse IP Lookup</span>
		<input class="form-control form-middle pull-left wth-4" name="ipAddress" value="" placeholder="IP Address">
		<button class="btn btn-sm btn-submit form-control pull-left form-right wth-2" type="submit">Proceed</button>
		<input type="hidden" name="operation" value="99">
		</form>
				
		<br style="clear:both;"><br>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<span class="form-control form-left form-text pull-left wth-4">SPF Wizard</span>
		<input class="form-control form-middle pull-left wth-4" name="domain" value="" placeholder="Domain Name">
		<button class="btn btn-sm btn-submit form-control pull-left form-right wth-2" type="submit">Proceed</button>
		<input type="hidden" name="operation" value="513">
		</form>
		
		<br style="clear:both;"><br>
		<form action="<%= request.getAttribute("appPath") %>" method="post">
		<span class="form-control form-left form-text pull-left wth-4">Sandbox URL</span>
		<input class="form-control form-middle pull-left wth-4" type="url" name="u" value="" placeholder="Suspect URL">
		<button class="btn btn-sm btn-submit form-control pull-left form-right wth-2" type="submit">Proceed</button>
		<input type="hidden" name="operation" value="sandbox">
		</form>
		
		
		
		<br style="clear:both;"><br>
		<div class="well-info-wrap">
			<div class="well-info-header">WHOIS Lookup</div>
			<div class="well-info-body">
				<form action="<%= request.getAttribute("appPath") %>" method="post">
				<span class="form-control form-left form-text pull-left wth-4">WHOIS Server</span>
				<input class="form-control form-right pull-left wth-4" name="host" value="" placeholder="Leave blank to use defaults">
				<input type="hidden" name="operation" value="38">
				<span class="form-control form-left form-text pull-left wth-4">IP/Domain</span>
				<input class="form-control form-right pull-left wth-4" name="ip" value="" placeholder="IP or Domain">
				<button class="btn btn-sm btn-submit pull-right" type="submit">Proceed</button>
				<br style="clear:both;">
				</form>
			</div>
		</div>
	</div>
</div>

<!-- * * * * * Old WHOIS inputs * * * * *
<select name="host" size="1">
		<option value="whois.arin.net">whois.arin.net</option>
		<option value="whois.crsnic.net">whois.crsnic.net</option>
		<option value="whois.publicinterestregistry.net">whois.publicinterestregistry.net</option>
		<option value="whois.neulevel.biz">whois.neulevel.biz</option>
		<option value="whois.afilias.info">whois.afilias.info</option>
		<option value="whois.nic.us">whois.nic.us</option>
		<option value="whois.nic.uk">whois.nic.uk</option>
		<option value="whois.cira.ca">whois.cira.ca</option>
		<option value="whois.nic.de">whois.nic.de</option>
		<option value="whois.nic.ws">whois.nic.ws</option>
		<option value="whois.aunic.net">whois.aunic.net</option>
		<option value="whois.ncst.ernet.in">whois.ncst.ernet.in</option>
		<option value="whois.nic.nu">whois.nic.nu</option>
</select>
-->

<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
