<%@ page import="com.synametrics.xeams.bean.*" %>
<%@ page import="java.util.*" %>



<%

	List sideButtons = new ArrayList(5);
	sideButtons.add(new UrlAnchorHolder("Distribution Lists", "current", true));

	
//Variables for FAQ
boolean showFAQ = true;
List faqLinks = new ArrayList(3);
FAQHandler.getInstance().displayFAQ(faqLinks, "AliasManager");
%>


<%@ include file="CommonButtons.jsp" %>
<%@ include file="NewPageHeader.jsp" %>

<a href="<%=response.encodeURL("FrontController?operation=60") %>">Home</a> &raquo; Distribution Lists

<h1>Distribution Lists</h1>

<div class="well">
Distribution list allow you to forward email sent to one address to multiple recipients. For example, you can create an list for 
<b>sales@YourCompany.com</b> and forward it to <b>john@YourCompany.com</b>, <b>mary@YourCompany.com</b> and <b>bob@SomeOtherDomain.com</b>.

<br><br>John, Mary and Bob will get the email when <b>sales@YourCompany.com</b> is specified in either <b>TO, CC or BCC</b>

</div>

<%

String errorMsg = (String)request.getAttribute("errorMsg");

if(errorMsg != null && !errorMsg.isEmpty()){
	%>
	<div class="alert alert-danger text-center"><%=errorMsg %></div>
	<%
}

%>

<div class="row">
	<div class="col-md-12">
		<div class="well-info-wrap">
			<div class="well-info-header">Existing Lists</div>
			<div class="well-info-body no-padding table-responsive">
				<table class="table table-striped table-bordered table-hover">
					<tr>
						<th>List Address</th>
						<th>Forwards To</th>
						<th class="text-center">Action</th>
					</tr>
					
					
					<tr>
						<form action="<%= request.getAttribute("appPath") %>" method="post">
						<td>
							<input class="form-control form-left pull-left wth-8" type="text" name="aliasName" placeholder="New List Name">
							<div class="btn btn-info form-control pull-left form-right wth-1" onclick="more_info('aliasAddress')"><b>?</b></div>
							
							<div class="alert alert-info more_info" id="aliasAddress" style="margin-top:-30px;">
							   Email address for the list. For example, <b>sales@yourcompany.com</b> 
							</div>
			
						</td>
						<td>
							<input class="form-control pull-left form-left wth-9" type="text" name="forwardTo" placeholder="Forward To Address(es)">
							<div class="btn btn-info form-control pull-left form-right wth-1" onclick="more_info('aliasFwd')"><b>?</b></div>
							
							<div class="alert alert-info more_info" id="aliasFwd" style="margin-top:-30px;">
							   One or more email address where messages will get forwarded. Use a comma to separate multiple values.
							</div>
			
			
						</td>
						<td class="text-center">
							<button class="btn btn-sm btn-submit">Add List</button>
						</td>
						<input type="hidden" name="operation" value="175">
						</form>
					</tr>
					
					
	<%
	List<DistributionListHolderBean> distlist = (List<DistributionListHolderBean>) request.getAttribute("distlist");
	List<String> aliases = (List<String>)request.getAttribute("aliases");
	List<String> forwards = (List<String>)request.getAttribute("forwards");

	if(distlist.size() > 0){
		
	%>
					
					<%
					for(int i = 0; i < distlist.size(); i++){
						%>
						<tr>
							<td><%=distlist.get(i).getAlias() %>
							
							<%if(distlist.get(i).getMadpk() >= 0){
								%>
								<span class="label label-default pull-right">LDAP</span>
								<%
							}%>
							</td>
							<td><%=distlist.get(i).getForwardList() %></td>
							<td class="text-center"><a href="<%=response.encodeURL("FrontController?operation=176") %>&email=<%=aliases.get(i)%>">Remove</a></td>
						</tr>
						<%
					}
					%>
					
			<%	
			}
			%>
					
				</table>
			</div>
			
			
		</div>
	</div>
</div>

<%@ include file="NewPageFooter.jsp" %>