<%@ page import="com.synametrics.xeams.bean.*, com.synametrics.xeams.config.*" %>
<%@ page import="java.util.*" %>
<%@ include file="PageHeader.jsp" %>
<%@ include file="SecondPageHeader.jsp" %>



<!-- 
Product name: <%= productName %>

URL Encoding:
<%=response.encodeURL("FrontController?operation=10&type=subject") %>
 -->

<h1>Migration Wizard</h1>


<%
String errorMsg = (String) request.getAttribute("errorMsg");
if(errorMsg != null){
	%>
	<div class="alert alert-danger"><h2>Error</h2><%= errorMsg %></div>
	<%
}
%>
<div class="row">
	<div class="col-md-6 col-md-offset-3">

<!-- ******* Create Window Panel ******* -->
<div class="well-info-wrap">
	<div class="well-info-header">Connection Parameters</div>
	<div class="well-info-body">
		Using this wizard you can pull data from other POP3 or IMAP server into <%= productName %>
		
		
		
		
		
		<form action="<%= request.getAttribute("appPath") %>" method="post">



			<!-- ******* Create Text Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('serverType')"><b>?</b></div>
			<span class="form-control form-middle form-text pull-left wth-4">Server Type:</span>
			<select class="form-control form-right pull-left wth-5" name="serverType" required='required'>
				<option value="imap" <%= (request.getParameter("serverType") != null && request.getParameter("serverType").equals("imap") ? " selected " : "") %>>IMAP</option>
				<option value="pop3" <%= (request.getParameter("serverType") != null && request.getParameter("serverType").equals("pop3") ? " selected " : "") %>>POP3</option>
			</select>
		
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="serverType">
				You can pull emails from either POP3 or IMAP server. 
			</div>
			
			
			
			<!-- ******* Create Text Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('serverHost')"><b>?</b></div>
			<span class="form-control form-middle form-text pull-left wth-4">Server Host:</span>
			<input class="form-control form-right pull-left wth-5" type="text" name="serverHost" required='required'
			value="<%= (request.getParameter("serverHost") == null) ? "" : request.getParameter("serverHost") %>"
			>
		
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="serverHost">
				Host name IP address of the server where you wish to download emails from
			</div>
			
			
			<!-- ******* Create Text Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('serverPort')"><b>?</b></div>
			<span class="form-control form-middle form-text pull-left wth-4">Server Port:</span>
			<input class="form-control form-right pull-left wth-5" type="number" name="serverPort" required='required'
			value="<%= (request.getParameter("serverPort") == null) ? "" : request.getParameter("serverPort") %>"
			>
		
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="serverPort">
				TCP/IP Ports. Typical values for POP3 are 110 or 995 for SSL. Values for IMAP are 143 or 993 for SSL.
			</div>
			
			<!-- ******* Create Checkbox Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('ssl')"><b>?</b></div>
			<span class="form-control form-text form-middle pull-left wth-8">Use SSL</span>
			<span class="chkbox-cust form-control form-right pull-left wth-1">
				<input id="useSsl" type="checkbox" name="ssl">
				<label for="useSsl"></label>
			</span>
			
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="ssl">
				Check if your POP3/IMAP server requires SSL
			</div>
			
			
		
			
			<!-- ******* Create Text Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('uid')"><b>?</b></div>
			<span class="form-control form-middle form-text pull-left wth-4">User ID:</span>
			<input class="form-control form-right pull-left wth-5" type="text" name="uid" required='required'
			value="<%= (request.getParameter("uid") == null) ? "" : request.getParameter("uid") %>"
			
			>
		
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="uid">
				This refers to the login ID you use for the fetching emails from the remote POP3/IMAP server.
			</div>
			
			
			<!-- ******* Create Text Input Field ******* -->
			<br style="clear:both;">
			<div class="btn btn-info form-control pull-left form-left wth-1" onclick="more_info('pwd')"><b>?</b></div>
			<span class="form-control form-middle form-text pull-left wth-4">Password</span>
			<input class="form-control form-right pull-left wth-5" type="password" name="pwd" required='required'
			
			>
		
			<br style="clear:both;">
			<div class="alert alert-info more_info" id="pwd">
				This refers to the password you use for the fetching emails from the remote POP3/IMAP server.
			</div>
			
			
			<br style="clear:both;">
			<br style="clear:both;">
			<!-- ******* Save Button | default is pulled right ******* -->
			<button class="btn btn-sm btn-submit pull-right" type="submit" title="Click next to select folders to import">Next</button>
			<input type="hidden" name="operation" value="240">
			<input type="hidden" name="st" value="fetchFolders">
		</form>
		
		<br><br><br>
		
		
	</div>
</div>


</div>
</div>




<%@ include file="SecondPageFooter.jsp" %>
<%@ include file="PageFooter.jsp" %>
